<?php
function output_iptc_caption( $image_path ) {
    $size = getimagesize ( $image_path, $info);        
	$iptc = iptcparse ($info["APP13"]); 
	if (isset($info["APP13"])) { 
		$iptc = iptcparse($info["APP13"]);
		if (is_array($iptc)) { 
			$caption = $iptc["2#120"][0];
			return $caption;
		}
	}
}
function output_exif_lat( $image_path ) {
$exif = exif_read_data("$image_path", 0, true);
$gpsarray = $exif['GPS']['GPSLatitude'];
    /*foreach ($gpsarray as $name => $val) {echo "$name: $val<br />\n"; }*/ 
		$c = substr($gpsarray['2'],0,4); $c = ($c/100)/60;
		$b = substr($gpsarray['1'],0,2); $b = ($b+$c)/60;
		$a = substr($gpsarray['0'],0,2); 
		$lat = $a+$b;
		return $lat;
}

function output_exif_long( $image_path ) {
$exif = exif_read_data("$image_path", 0, true);
$gpsarray = $exif['GPS']['GPSLongitude'];
    /*foreach ($gpsarray as $name => $val) {echo "$name: $val<br />\n"; }*/ 
		$c = substr($gpsarray['2'],0,4); $c = ($c/100)/60;
		$b = substr($gpsarray['1'],0,2); $b = ($b+$c)/60;
		$a = substr($gpsarray['0'],0,2); 
		$long = $a+$b;
		return $long;
}

function output_exif_day( $image_path ) {
$exif = exif_read_data("$image_path", 0, true);
$gpsarray = $exif['GPS']['GPSLongitude'];
    /*foreach ($gpsarray as $name => $val) {echo "$name: $val<br />\n"; }*/ 
		$c = substr($gpsarray['2'],0,4); $c = ($c/100)/60;
		$b = substr($gpsarray['1'],0,2); $b = ($b+$c)/60;
		$a = substr($gpsarray['0'],0,2); 
		$long = $a+$b;
		return $long;
}

function output_iptc_data( $image_path ) {    
    $size = getimagesize ( $image_path, $info);        
     if(is_array($info)) {    
        $iptc = iptcparse($info["APP13"]);
        foreach (array_keys($iptc) as $s) {              
            $c = count ($iptc[$s]);
            for ($i=0; $i <$c; $i++) 
            {
                echo $s.' = '.$iptc[$s][$i].'<br>';
            }
        }                  
    }             
}

function output_exif_data( $image_path ) {
	$exif = exif_read_data("$image_path", 0, true);
	//echo "test2.jpg:<br />\n";
	foreach ($exif as $key => $section) {
		foreach ($section as $name => $val) {
			return "$key.$name: $val<br />\n";
		}
	}
}

function output_exif_data_special( $image_path, $exif_tag ) {
	$exif = exif_read_data("$image_path", 0, true);
	return $exif['EXIF'][$exif_tag];
}

function format_date_to_italian($datetimeo){
$yy = substr($datetimeo,0,4);
$mm = substr($datetimeo,5,2);
$dd = substr($datetimeo,8,2);
$h =  substr($datetimeo,11,2);
$m =  substr($datetimeo,14,2);
$s =  substr($datetimeo,17,2);
//$tt = "am";
//if($h>=13) {$h=$h-12; $tt="pm"; }
$date = $dd.'/'.$mm.'/'.$yy;
//$time = $h.':'.$m.':'.$s.' '.$tt;
//$time = $h.':'.$m;
return $date;
}

function format_hours_to_italian($datetimeo){
$yy = substr($datetimeo,0,4);
$mm = substr($datetimeo,5,2);
$dd = substr($datetimeo,8,2);
$h =  substr($datetimeo,11,2);
$m =  substr($datetimeo,14,2);
$s =  substr($datetimeo,17,2);

//$tt = "am";
//if($h>=13) {$h=$h-12; $tt="pm"; }
//$date = $dd.'/'.$mm.'/'.$yy;
//$time = $h.':'.$m.':'.$s.' '.$tt;
$time = $h.':'.$m;

return $time;
}

?>